Bug 1753835 - Unable to connect to Samba server 3.6.23-52.el6_10
Summary: Unable to connect to Samba server 3.6.23-52.el6_10
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-20 03:33 UTC by sverrel
Modified: 2019-11-04 08:13 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 08:13:31 UTC


Attachments (Terms of Use)

Description sverrel 2019-09-20 03:33:16 UTC
Description of problem:
Browsing server via Nautilus works. Trying to access the share gives 
Non-SMB packet of length 182. Terminating server and "Oops, something went wrong" error in client Nautilus. Used to work on earlier Fedora releses.


Version-Release number of selected component (if applicable):
server : samba 3.6.23-52.el6_10
client : fedora 31 beta : samba-client-4.11.0-0.0.rc2.fc31.x86_64

How reproducible:
Persistent.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alexander Bokovoy 2019-09-20 04:51:10 UTC
Samba 4.11 switched off SMB1 protocol support by default. See https://www.samba.org/samba/history/samba-4.11.0.html

Comment 2 kxra 2019-09-20 17:48:21 UTC
I tried to work around this by adding server min protocol = NT1 and client min protocol = NT1 to  /etc/samba/smb.conf's [global] settings stanza, and restarting samba, but I'm still unable to connect as I normally do using cifs

Comment 3 sverrel 2019-11-01 21:39:37 UTC
Thank you guys !!!


Note You need to log in before you can comment on or make changes to this bug.